.header__nav-menu-item {
  text-shadow: 0 0 2px rgba(0, 0, 0, 0.1), 0 0 3px rgba(0, 0, 0, 0.2),
    0 0 4px rgba(0, 0, 0, 0.3);
}

.hero-author {
  padding: 0 var(--sidePadding);
  align-items: initial;
  height: auto;
}

.hero-author::after {
  width: 50vw;
  left: 50%;
  z-index: 1;
}

.hero-author .hero__wrapper {
  display: flex;
  margin-bottom: 0;
}

.hero-author .hero__wrapper > * {
  width: 50%;
}

.hero-author__info {
  padding-top: 175px;
  padding-right: 36px;
  text-align: justify;
}

.hero-author__info-header {
  display: flex;
  align-items: center;
  font-size: var(--textFontSizeM);
  gap: 24px;
  margin-bottom: 40px;
}

.hero-author__info-header h1 {
  font-size: var(--textFontSizeXL);
  line-height: 1;
}

.hero-author__info-header h1 div {
  font-family: var(--secondaryFont);
  font-size: var(--textFontSizeM);
  font-weight: 600;
  margin-top: 8px;
}

.hero-author__info-header h1 span {
  display: none;
}

.hero-author__info-header img {
  width: 150px;
  height: 150px;
  border-radius: 50%;
}

.hero-author__content {
  font-size: var(--textFontSizeS);
  font-family: var(--secondaryFont);
}

.hero-author__highlights {
  display: flex;
  margin-top: 135px;
  gap: 25px;
}

.hero-author__highlights li {
  width: calc(100% / 3 - calc(50px / 3));
  position: relative;
}

.hero-author__highlights li:after {
  content: "";
  background-image: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iMzQ2IiBoZWlnaHQ9IjkxIiB2aWV3Qm94PSIwIDAgMzQ2IDkxIiBmaWxsPSJub25lIiB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciPgo8cGF0aCBkPSJNMiA4OUM0MC41MjY2IDM2Ljg2MTMgMTAyLjc3MSAzIDE3MyAzQzI0My4yMjkgMyAzMDUuNDczIDM2Ljg2MTMgMzQ0IDg5IiBzdHJva2U9IiNBMEM1MzkiIHN0cm9rZS13aWR0aD0iNSIgc3Ryb2tlLWRhc2hhcnJheT0iMTAgMTAiLz4KPC9zdmc+Cg==);
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  width: calc(100% + var(--sidePadding));
  height: 58px;
  position: absolute;
  bottom: calc(100% + 48px);
  left: 48%;
}

.hero-author__highlights li:last-of-type:after {
  display: none;
}

.hero-author__highlights li:nth-child(odd) article {
  background: var(--green3);
}

.hero-author__highlights li:nth-child(even) svg {
  --iconColor1: var(--green);
}

.hero-author__highlights li:nth-child(even) article {
  background: var(--green);
}

.hero-author__highlights li .callout-card {
  padding-left: calc(var(--sidePadding) / 2);
  padding-right: calc(var(--sidePadding) / 2);
  padding-bottom: 15px;
}

.hero-author__highlights li .callout-card__content {
  min-height: 55px;
  line-height: 1.22;
  color: white;
}

.hero-author__cover {
  position: relative;
  width: 100%;
}

.hero-author__cover img {
  width: 50vw;
  height: 100%;
  left: 0;
  top: 0;
  display: block;
  object-fit: cover;
  position: absolute;
}

@media (max-width: 1280px) {
  .hero-author__info {
    padding-right: 25px;
  }

  .hero-author__highlights {
    gap: 15px;
  }

  .callout-card__content {
    font-size: calc(var(--textFontSizeS) - 1px);
  }

  .hero-author__highlights li:after {
    width: calc(100% + var(--sidePadding));
    height: 51px;
    position: absolute;
    bottom: calc(100% + 48px);
    left: 48%;
  }

  .hero-author__info {
    padding-right: var(--sidePadding);
  }

  .hero-author__highlights {
    margin-top: 75px;
  }

  .hero-author__highlights li {
    width: calc(100% / 3 - calc(30px / 3));
  }

  .hero-author__highlights li:after {
    height: 40px;
    bottom: calc(100% + 30px);
  }

  .hero-author__highlights li .callout-card {
    padding-top: 34px;
    padding-left: 8px;
    padding-right: 8px;
  }

  .hero-author__highlights .callout-card__badge:after {
    left: -5px;
  }

  .hero-author__highlights .callout-card__badge::before {
    left: 5px;
  }

  .hero-author__highlights .callout-card__badge {
    width: 50px;
    height: 50px;
  }

  .hero-author__highlights li .callout-card__content {
    font-size: calc(var(--textFontSizeS) - 2px);
    height: 45px;
  }

  .callout-card__topper {
    height: 8px;
    width: calc(100% + 30px);
    left: -15px;
    top: -4px;
  }

  .callout-card__icon {
    width: calc(20px + 1vw);
    height: calc(20px + 1vw);
    position: relative;
    z-index: 2;
    --iconColor1: var(--green3);
  }
}

@media (max-width: 1024px) {
  .hero.hero-author {
    min-height: auto;
  }

  .hero-author__info-header {
    margin-bottom: 15px;
    gap: 10px;
  }

  .hero-author__info-header img {
    width: 100px;
    height: 100px;
  }

  .hero-author__info-header h1 {
    font-size: calc(var(--textFontSizeL) + 2px);
  }

  .hero-author__info-header h1 div {
    font-size: var(--textFontSizeS);
    line-height: 1.22;
  }

  .hero-author__info {
    padding-top: 137px;
    padding-bottom: 75px;
  }
}

@media (max-width: 950px) {
  .hero-author__info-header h1 {
    font-size: var(--textFontSizeL);
    max-width: 300px;
  }

  .hero-author__info-header img {
    width: 90px;
    height: 90px;
  }
}

@media (max-width: 900px) {
  .hero-author__highlights {
    flex-wrap: wrap;
    justify-content: center;
    margin-top: 58px;
    row-gap: 48px;
  }

  .hero-author__highlights li {
    width: calc(100% / 2 - calc(30px / 2));
  }

  .hero-author__highlights li:after {
    display: none;
  }
}

@media (max-width: 850px) {
  .hero-author__info {
    padding-top: 100px;
    padding-bottom: 40px;
  }

  .hero-author .hero__wrapper {
    flex-direction: row;
  }

  .hero-author__cover {
    height: 100%;
  }
}

@media (max-width: 678px) {
  .hero-author .hero__wrapper {
    flex-direction: column-reverse;
  }

  .hero-author .hero__wrapper > * {
    width: 100%;
  }

  .hero-author__cover {
    height: 50vh;
    width: 100%;
  }

  .hero-author__cover img {
    width: 100vw;
    left: calc(var(--sidePadding) * -1);
    transform: initial;
    object-fit: cover;
  }

  .hero-author::after {
    width: 100%;
    height: 50vh;
    top: 0;
    left: 0;
  }

  .hero-author__info {
    padding-top: 40px;
    padding-right: 0;
  }

  .hero-author__info-header h1 {
    font-size: calc(var(--textFontSizeL) + 6px);
    max-width: 320px;
  }

  .hero-author__info-header {
    justify-content: center;
  }

  .hero-author__info-header img {
    width: 120px;
    height: 120px;
  }

  .hero-author__highlights {
    column-gap: var(--sidePadding);
  }

  .hero-author__highlights li {
    width: calc(100% / 2 - calc(var(--sidePadding) / 2));
  }

  .hero-author__highlights li .callout-card {
    padding-left: var(--sidePadding);
    padding-right: var(--sidePadding);
  }

  .hero-author__highlights li .callout-card__content {
    font-size: calc(var(--textFontSizeS) + 2px);
    height: auto;
    line-height: 1.44;
  }
}

@media (max-width: 460px) {
  .hero-author__info {
    padding-top: var(--sidePadding);
  }

  .hero-author__info-header img {
    width: 90px;
    height: 90px;
  }

  .hero-author__info-header h1 {
    font-size: calc(var(--textFontSizeL) - 2px);
    max-width: 280px;
  }
}

@media (max-width: 378px) {
  .hero-author__cover {
    height: 40vh;
  }

  .hero-author::after {
    height: 40vh;
  }

  .hero-author__info-header img {
    width: 60px;
    height: 60px;
  }

  .hero-author__info-header h1 {
    font-size: calc(var(--textFontSizeL) - 5px);
    max-width: 260px;
  }

  .hero-author__info-header h1 div {
    font-size: calc(var(--textFontSizeS) - 1px);
    line-height: 1.16;
  }

  .hero-author__highlights {
    margin-top: 40px;
    row-gap: 40px;
  }

  .hero-author__highlights .callout-card__badge {
    width: 44px;
    height: 44px;
  }

  .hero-author__highlights li .callout-card__content {
    font-size: var(--textFontSizeS);
    height: auto;
    line-height: 1.22;
  }

  .hero-author__highlights li .callout-card {
    padding-top: 30px;
  }
}

/* Author Background Section */
.author-background {
  padding: 100px var(--sidePadding) 85px;
}

.author-background__wrapper {
  max-width: var(--maxScreenWidth);
  margin: 0 auto;
}

.author-background__wrapper h2 {
  text-align: center;
  max-width: 658px;
  width: 100%;
  margin: 0 auto 50px;
  font-size: var(--textFontSizeL);
  text-transform: uppercase;
  color: var(--green);
  line-height: 1;
}

.author-background__wrapper > div {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

.author-background__content {
  width: 50%;
  font-size: calc(var(--textFontSizeS) + 4px);
  font-family: var(--secondaryFont);
  text-align: justify;
  line-height: 1.22;
}

.author-background__sidebar {
  max-width: 425px;
  width: 35%;
  display: flex;
  flex-direction: column;
  gap: 20px;
}

.author-background__list-header {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: space-between;
  min-height: 78px;
  background: var(--green3);
  padding: 20px var(--sidePadding);
}

.author-background__list-header::after {
  content: "";
  position: absolute;
  background: var(--green3);
  z-index: -1;
  width: 100%;
  height: 32px;
  bottom: -30px;
  left: 0;
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 30px), 0% calc(100% - 30px));
  transition: 0.4s;
}

.author-background__list.active .author-background__list-header::after {
  clip-path: polygon(0 0, 100% 0, 100% calc(100% - 30px), 0% 100%);
}

.author-background__list-header h3 {
  color: var(--green);
  font-family: var(--secondaryFont);
  font-size: var(--textFontSizeM);
}

.author-background__list-header span {
  cursor: pointer;
  background: white;
  width: 40px;
  height: 40px;
  min-width: 40px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  position: relative;
}

.author-background__list-header span::after,
.author-background__list-header span::before {
  content: "";
  position: absolute;
  background: var(--green3);
  width: 5px;
  height: 26px;
  border-radius: 5px;
  transition: 0.3s;
}

.author-background__list-header span::after {
  transform: rotate(90deg);
}

.author-background__list.active .author-background__list-header span::before {
  height: 0;
}

.author-background__list-container {
  overflow: hidden;
}

.author-background__list-container ul {
  margin: 0;
  padding: 55px var(--sidePadding) 50px;
  list-style: none;
  display: flex;
  flex-direction: column;
  gap: 15px;
  overflow: hidden;
  height: 100%;
}

.author-background__list-container ul li {
  position: relative;
  display: flex;
  align-items: center;
  gap: 15px;
  text-align: justify;
  font-family: var(--secondaryFont);
}

.author-background__list-container ul li strong {
  font-weight: 500;
}

@media (max-width: 1280px) {
  .author-background__wrapper > div {
    gap: 5vw;
  }

  .author-background__content {
    width: 54%;
  }

  .author-background__sidebar {
    width: 40%;
  }
}

@media (max-width: 1024px) {
  .author-background__content {
    width: 55%;
  }

  .author-background__list-header span {
    width: 36px;
    height: 36px;
    min-width: 36px;
  }
}

@media (max-width: 768px) {
  .author-background__wrapper h2 {
    margin-bottom: 25px;
  }

  .author-background {
    padding: 50px var(--sidePadding);
  }

  .author-background__wrapper > div {
    flex-direction: column;
  }

  .author-background__sidebar,
  .author-background__content {
    width: 100%;
    max-width: 100%;
  }
}

@media (max-width: 468px) {
  .author-background__list .list-with-bullets > li::before {
    width: 30px;
    min-width: 30px;
    height: 31px;
  }
}

/* End Author Background Section */
/* Start Common Pests */

.author-experience {
  padding: 100px var(--sidePadding);
  overflow: hidden;
  position: relative;
  margin-bottom: 85px;
}

.author-experience::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -2;
  background: rgb(0, 0, 0);
}

.author-experience::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
  z-index: -1;
}

.author-experience > img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  z-index: -2;
  opacity: 0.2;
}

.author-experience__wrapper {
  max-width: var(--maxScreenWidth);
  margin: 0 auto;
  position: relative;
  z-index: 1;
}

.author-experience__wrapper h2 {
  font-size: var(--textFontSizeL);
  color: white;
  text-transform: uppercase;
  text-align: center;
  margin: 0 auto 25px;
  max-width: 666px;
}

.author-experience__content {
  font-weight: 400;
  font-family: var(--secondaryFont);
  font-size: var(--textFontSizeS);
  color: white;
  text-align: center;
  line-height: 1.33;
  margin-bottom: 50px;
}
.author-experience__content.author-experience__content--bottom {
  margin-bottom: 0;
  margin-top: 50px;
}
.author-experience__list {
  cursor: grab;
  /* Indicar que se puede arrastrar */
  user-select: none;
  /* Prevenir selección de texto al arrastrar */
}

.author-experience__list:active {
  cursor: grabbing;
  /* Cambiar cursor cuando se está arrastrando */
}

.author-experience__list.dragging {
  cursor: grabbing;
}

.author-experience__list.dragging ul {
  transition: none;
  /* Deshabilitar transición durante el arrastre para mayor fluidez */
}

.author-experience__list.dragging .author-experience__item {
  pointer-events: none;
  /* Prevenir interacciones durante el arrastre */
}

.author-experience__list ul {
  display: grid;
  grid-auto-flow: column;
  gap: 25px;
  width: auto;
  transition: transform 0.1s ease-out;
  /* Transición suave para el arrastre */
  will-change: transform;
  /* Optimizar rendimiento de transformaciones */
}

.author-experience__list ul li {
  width: 140px;
  height: 500px;
  position: relative;
  border-radius: 100px;
  overflow: hidden;
  cursor: pointer;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
  padding: 53px 48px;
  display: flex;
  align-items: flex-end;
  transition: all 0.3s ease-in-out;
}

.author-experience__list ul li.active {
  width: 500px;
  border-radius: 30px;
  cursor: default;
  transition: all 0.3s ease-in-out;
  pointer-events: none;
}

.author-experience__list ul figure img {
  width: 100%;
  height: 100%;
  position: absolute;
  object-fit: cover;
  display: block;
  bottom: 0;
  border-radius: 100px;
  left: 0;
  z-index: -1;
  padding: 0 1px 1px 1px;
  transition: all 0.3s ease-in-out;
}

.author-experience__list ul li.active figure img {
  border-radius: 30px;
}

.author-experience__caption {
  opacity: 0;
  transition: opacity 0.3s ease-in-out;
}

.author-experience__caption h3 {
  color: white;
  width: 370px;
  font-size: var(--textFontSizeL);
  margin-bottom: 10px;
}

.author-experience__caption p {
  color: white;
  width: 370px;
  font-size: var(--textFontSizeS);
  font-family: var(--secondaryFont);
}

.author-experience__list ul li.active .author-experience__caption {
  opacity: 1;
}

@media (max-width: 1280px) {
  .author-experience {
    padding: 75px var(--sidePadding);
    margin-bottom: 75px;
  }
}

@media (max-width: 1000px) {
  .author-experience__list ul li {
    height: 420px;
  }

  .author-experience__list ul li.active {
    width: 420px;
  }
}

@media (max-width: 768px) {
  .author-experience {
    padding: 50px var(--sidePadding);
    margin-bottom: 50px;
  }

  .author-experience__list ul li {
    height: 360px;
    width: 120px;
  }

  .author-experience__list ul li.active {
    width: 360px;
  }
}

@media (max-width: 480px) {
  .author-experience__list ul li {
    height: 270px;
    width: 100px;
  }

  .author-experience__list ul li.active {
    width: 270px;
  }
}

/* End Common Pests */
.process-steps__title {
  font-size: var(--textFontSizeL);
  color: white;
  text-align: center;
  max-width: 699px;
  margin: 0 auto 50px;
}

@media (max-width: 1024px) {
  .process-steps {
    padding: 75px var(--sidePadding);
  }
}

@media (max-width: 768px) {
  .process-steps {
    padding: 50px var(--sidePadding);
  }
}

/* Start Author Blog */
.author-blog {
  padding: 0 var(--sidePadding);
  margin-bottom: 100px;
}

.author-blog__wrapper {
  max-width: var(--maxScreenWidth);
  margin: 0 auto;
  padding: 50px var(--sidePadding);
  position: relative;
  border-radius: 30px;
  overflow: hidden;
}

.author-blog__wrapper::before {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -4;
  background: rgba(12, 99, 47, 0.8);
}

.author-blog__wrapper::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(
    360deg,
    rgba(203, 213, 11, 0.2) 34.13%,
    rgba(12, 99, 47, 0.2) 100%
  );
  z-index: -3;
}

.author-blog__title {
  font-size: var(--textFontSizeL);
  color: white;
  text-align: center;
  max-width: 570px;
  margin: 0 auto 25px;
}

.author-blog__content {
  font-size: var(--textFontSizeS);
  font-family: var(--secondaryFont);
  color: white;
  text-align: justify;
  line-height: 1.33;
  margin-bottom: 50px;
}

.author-blog__posts {
  display: flex;
  gap: var(--sidePadding);
}

.author-blog__posts > * {
  width: 100%;
}

.author-blog__posts .blog-card {
  border-radius: 30px;
  overflow: hidden;
  position: relative;
  display: flex;
  align-items: flex-end;
  height: 551px;
  cursor: pointer;
}

.author-blog__posts .blog-card span {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 2;
}

.author-blog__posts .blog-card::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(180deg, rgba(0, 0, 0, 0) 0%, #000000 100%);
  z-index: -1;
}

.author-blog__posts .blog-card:nth-child(6) {
  display: none;
}

.author-blog__posts .blog-card__thumb {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -2;
  pointer-events: all !important;
}

.author-blog__posts .blog-card__thumb img {
  width: 100%;
  height: 100%;
  display: block;
  object-fit: cover;
  z-index: 1;
  transition: transform 0.3s ease;
}

.author-blog__posts .blog-card:hover img {
  transform: scale(1.08);
}

.blog-card__body {
  margin-top: auto;
  padding: 0 15px;
}

.blog-card__header {
  margin-bottom: 15px;
}

.blog-card__header h2 {
  line-height: 0.95;
}

.blog-card__header a {
  font-size: calc(var(--textFontSizeM) + 2px);
  color: white;
  line-height: 1;
  pointer-events: initial !important;
  z-index: 11;
  position: relative;
}

.blog-card__header a:hover {
  text-decoration: underline;
}

.blog-card__content {
  font-size: var(--textFontSizeS);
  font-family: var(--secondaryFont);
  color: white;
  line-height: 1.22;
  display: -webkit-box;
  /* For legacy WebKit compatibility */
  -webkit-line-clamp: 5;
  /* Limit to 3 lines */
  -webkit-box-orient: vertical;
  /* Required for -webkit-line-clamp */
  overflow: hidden;
}

.blog-card__btn {
  position: relative;
  width: 42px;
  height: 42px;
  margin: 15px auto 45px;
  display: flex;
  align-items: center;
  justify-content: center;
  border-radius: 50%;
  background: var(--green3);
  cursor: pointer;
  border: none;
  transition: transform 0.3s ease;
}

.blog-card:hover .blog-card__btn {
  transform: scale(1.08);
}

.blog-card__btn::after,
.blog-card__btn::before {
  content: "";
  position: absolute;
  background: black;
  width: 5px;
  height: 26px;
  border-radius: 5px;
}

.blog-card__btn::after {
  transform: rotate(90deg);
}

@media (max-width: 1280px) {
  .author-blog {
    margin-bottom: 75px;
  }

  .author-blog__posts .blog-card:nth-child(5) {
    display: none;
  }

  .author-blog__posts .blog-card {
    height: calc(200px + 27.42vw);
  }
}

@media (max-width: 1024px) {
  .author-blog__posts {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
  }

  .author-blog__posts .blog-card:nth-child(5),
  .author-blog__posts .blog-card:nth-child(6) {
    display: flex;
  }

  .blog-card__btn {
    margin-bottom: var(--sidePadding);
  }
}

@media (max-width: 850px) {
  .blog-card__header {
    margin-bottom: 10px;
  }

  .author-blog__posts {
    grid-template-columns: repeat(2, 1fr);
  }

  .blog-card__btn {
    width: 36px;
    height: 36px;
  }

  .blog-card__btn::after,
  .blog-card__btn::before {
    width: 4px;
    height: 22px;
  }
}

@media (max-width: 768px) {
  .author-blog {
    margin-bottom: 50px;
  }

  .blog-card__content {
    line-height: 1.14;
    -webkit-line-clamp: 4;
  }
}

@media (max-width: 568px) {
  .author-blog {
    padding: 0;
  }

  .author-blog__wrapper {
    border-radius: 0;
    margin-bottom: 75px;
  }

  .author-blog__posts .blog-card {
    height: calc(250px + 24vw);
  }
}

@media (max-width: 480px) {
  .author-blog__posts {
    display: flex;
    flex-direction: column;
  }
}

/* End Author Blog */
.author-footer {
  padding: 0 var(--sidePadding) 100px;
}

.author-footer__wrapper {
  max-width: var(--maxScreenWidth);
  margin: 0 auto;
  position: relative;
}

.author-footer .blog-author {
  margin-left: 0;
  margin-bottom: 0;
}

.blog-author {
  display: flex;
  align-items: center;
  gap: 25px;
  font-family: var(--secondaryFont);
  max-width: 550px;
  margin: 0 auto 35px;
}

.blog-author__avatar img {
  width: calc(50px + 5.79vw);
  height: calc(50px + 5.79vw);
  max-width: 150px;
  min-width: 100px;
  max-height: 150px;
  min-height: 100px;
  border-radius: 50%;
  object-fit: cover;
}

.blog-author__name a {
  font-size: var(--textFontSizeL);
  color: var(--green);
  margin-bottom: 10px;
  display: inline-block;
  line-height: 1;
}

.blog-author__nickname {
  font-size: calc(var(--textFontSizeM) - 1px);
  font-weight: 600;
  margin-bottom: 10px;
}

.blog-author__since {
  font-size: var(--textFontSizeS);
}

@media (max-width: 1280px) {
  .author-footer {
    padding: 0 var(--sidePadding) 75px;
  }
}

@media (max-width: 768px) {
  .author-footer {
    padding: 0 var(--sidePadding) 50px;
  }
}
